USAGE(1)

NAME
yubikey-agent - a seamless ssh-agent for YubiKeys

CONFIGURATION

To start yubikey-agent automatically, enable its service using:

    systemctl --user enable yubikey-agent

To start yubikey-agent once, start its service using:

    systemctl --user start yubikey-agent

You must also set the $SSH_AUTH_SOCK variable to "$XDG_RUNTIME_DIR/yubikey-agent/yubikey-agent.sock".

In bash, this can be done by running the following command before your first use of yubikey-agent:

    echo 'export SSH_AUTH_SOCK="$XDG_RUNTIME_DIR/yubikey-agent/yubikey-agent.sock"' >> ~/.bashrc

DESCRIPTION
yubikey-agent [options] command [arguments]

  OPTIONS

-setup

    Generate a new SSH key on the attached YubiKey.

-l PATH

    Run the agent, listening on the UNIX socket at PATH.